Subject: bug#78871: 31.0.50

From: Johann Höchtl <[email-masked]>
Date: Mon, 23 Jun 2025 14:07:31 +0200

> It would be good to understand first what kind of "invisible frame" we
are talking about.  Can you post a complete recipe starting from
"emacs -Q"?

Sure:

emacs -Q
M-x speedbar-window
Use the mouse and move over to the generated speedbar-window, move over
anywhere the part where "# Files " (isn't that the status bar) is written
and press right mouse button
Effect: Speedbar Window disappears.
Any subsequent attempt to bring the speedbar (M-x speedbar) of the Windows
(M-x speedbar-window) back results in the error message "Attempt to delete
the sole visible or iconified frame"

This error message also appears when you focus into the speedbar-window and
press "Q" (which calls delete-frame).

This might be the actual problem as a speedbar-window is no longer a frame
on it's own but embedded into an existing frame and the last visible frame
must no be deleted with delete-frame.

Am Mo., 23. Juni 2025 um 13:50 Uhr schrieb Eli Zaretskii <[email-masked]>:

> > From: Johann Höchtl <[email-masked]>
> > Date: Mon, 23 Jun 2025 13:24:14 +0200
> >
> > When I open a speedbar-window and right-click with the mouse on the
> status-bar, the speed-bar
> > disappears.
>
> What do you mean by "status bar" here?  I tried right-clicking on
> various portions of the Speedbar frame, but couldn't cause it to
> "disappear".
>
> > When I try to bring it back with speedbar-window I get the error message
> (in messages):
> > "funcall-interactively: Attempt to delete the sole visible or iconified
> frame"
>
> Doesn't happen here, either.
>
> > I think there sould be a way to bring back that "invisible frame".
>
> It would be good to understand first what kind of "invisible frame" we
> are talking about.  Can you post a complete recipe starting from
> "emacs -Q"?
>
> Thanks.
>